---
type: api
title: Resolve a saved object
description: WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
url: https://www.elastic.co/docs/api/doc/kibana/v9/operation/operation-get-saved-objects-resolve-type-id
resource: https://www.elastic.co/docs/api/doc/kibana/v9/operation/operation-get-saved-objects-resolve-type-id
products:
  - Kibana
---

# Resolve a saved object

deprecated

Authentication: required

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/saved_objects/resolve/{type}/{id}`
- `GET` `/s/{space_id}/api/saved_objects/resolve/{type}/{id}`

#### Path parameters

- `space_id` (string) — optional
  An identifier for the space. If `space_id` is not provided in the URL, the default space is used. Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.
- `type` (string · max length: 256) — required
  The saved object type.
- `id` (string · max length: 512) — required
  The saved object identifier.

## Description

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Retrieve a single Kibana saved object by ID, using any legacy URL alias if it exists.

Under certain circumstances, when Kibana is upgraded, saved object migrations may necessitate regenerating some object IDs to enable new features. When an object's ID is regenerated, a legacy URL alias is created for that object, preserving its old ID. In such a scenario, that object can be retrieved with the resolve API using either its new ID or its old ID.

## Responses

#### `200`

A resolve response.

`application/json`

#### `400`

A bad request.

`application/json`

## Code examples

#### Console

```console
GET kbn://api/saved_objects/resolve/dashboard/legacy-id
```

#### curl

```curl
curl \
  -X GET "${KIBANA_URL}/api/saved_objects/resolve/dashboard/legacy-id" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### A resolved saved object (alias match)

`application/json`

```json
{
  "alias_target_id": "example-dashboard-2",
  "outcome": "aliasMatch",
  "saved_object": {
    "attributes": {
      "title": "Example dashboard 2"
    },
    "id": "example-dashboard-2",
    "managed": false,
    "namespaces": [
      "default"
    ],
    "references": [],
    "type": "dashboard",
    "updated_at": "2026-04-17T12:00:00.000Z",
    "version": "WzEsMl0="
  }
}
```

#### A bad request error

`application/json`

```json
{
  "error": "Bad Request",
  "message": "Unsupported saved object type(s): unknownType",
  "statusCode": 400
}
```

